import { FormGroup } from '@angular/forms';
import { BlockComponent, BlockOptionAction } from '@tmdjr/ngx-editor-js2';
import * as i0 from "@angular/core";
import * as i1 from "@angular/cdk/drag-drop";
export declare class NgxEditorJs2CodemirrorComponent implements BlockComponent {
    sortIndex: import("@angular/core").InputSignal<number>;
    componentInstanceName: string;
    autofocus: import("@angular/core").InputSignal<boolean>;
    formGroup: import("@angular/core").InputSignal<FormGroup<any>>;
    formControlName: import("@angular/core").InputSignal<string>;
    blockOptionActions: import("@angular/core").InputSignal<BlockOptionAction[]>;
    codeMirrorOptions: import("@angular/core").WritableSignal<{
        lineNumbers: boolean;
        theme: string;
        mode: string;
        extraKeys: {
            'Ctrl-Space': string;
        };
    }>;
    savedAction: import("@angular/core").WritableSignal<string>;
    actionCallbackBind: (action: string) => void;
    actionCallback(action: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxEditorJs2CodemirrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxEditorJs2CodemirrorComponent, "ngx-editor-js2-codemirror", never, { "sortIndex": { "alias": "sortIndex"; "required": false; "isSignal": true; }; "autofocus": { "alias": "autofocus"; "required": false; "isSignal": true; }; "formGroup": { "alias": "formGroup"; "required": true; "isSignal": true; }; "formControlName": { "alias": "formControlName"; "required": true; "isSignal": true; }; "blockOptionActions": { "alias": "blockOptionActions"; "required": false; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.CdkDrag; inputs: {}; outputs: {}; }]>;
}
